{% extends 'profile/layouts/admin/admin_layout.html' %}

{% load static %}

{% block css %}
    <style>
        .img-bagss {
            position: absolute;
            top: 0;
            background-color: rgba(255, 0, 0, 0.8);
            text-align: center;
            font-weight: 500;
            line-height: 16px;
            padding: 5px 10px;
            color: #FFFFFF;
            border-radius: 5px 5px 5px 0;
        }
        .img-bagss .tag-bln { font-size: 15px; }
    </style>
{% endblock css %}

{% block navbar %}
    {% include 'profile/layouts/admin/navbar.html' %}
{% endblock navbar %}

{% block main %}
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{% url 'profile:admin_home' %}">Home</a></li>
            <li class="breadcrumb-item active" aria-current="page">Master Pejabat Pengesah</li>
        </ol>
    </nav>

    {% if messages %}
        {% for message in messages %}
            <div class="alert {{ message.tags }} my-2" role="alert">
                {{message}}
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>  
        {% endfor %}
    {% endif %}


    <div class="d-flex flex-column flex-md-row justify-content-between mx-2">
        <div class="mb-md-0"> 
            <button type="button" class="btn btn-primary mt-1 mb-1" data-toggle="modal" data-target="#tambahpejabat">
                <i class="bi bi-plus"></i> Tambah Data Master Pejabat Pengesah
            </button>
        </div>
        <div class="ml-md-auto"> <!-- Aligns the second button to the right on larger screens -->
            <button type="button" class="btn btn-danger mt-1 mb-4" data-toggle="modal" data-target="#arsipejabatpengesah">
                <i class="bi bi-trash"></i> Data Master Pejabat Pengesah Diarsipkan
            </button>
        </div>
    </div>

    <div class="card shadow mb-5">
        <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
            <h6 class="m-0 font-weight-bold text-info"><i class="fa fa-list"></i> Master Pejabat Pengesah</h6>
            <div class="dropdown no-arrow">
                <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
                </a>
            </div>
        </div>
        <div class="card-body">
            <div class="row">
                <div class="col-md-12">
                    <table class="table table-striped table-bordered dt-responsive" id="table-list">
                        <thead class="bg-primary text-white">
                            <th>No</th>
                            <th>SKPD</th>
                            <th>NIP</th>
                            <th>Nama Pegawai</th>
                            <th>Jabatan</th>
                            <th>Jabatan Kontrak</th>
                            <th>Aksi</th>
                        </thead>
                        <tbody>
                            {% for item_pejabat in pejabatpengesah_list %}
                            {% include 'profile/admin/pejabatpengesah/modal_edit.html' %}
                                <tr>
                                    <td>{{forloop.counter}}</td>
                                    <td>{{item_pejabat.opd.namaopd}}</td>
                                    <td>{{item_pejabat.nip}}</td>
                                    <td>{{item_pejabat.namapegawai}}</td>
                                    <td>{{item_pejabat.get_jabatan_display}}</td>
                                    <td>{{item_pejabat.get_jabatankontrak_display}}</td>
                                    <td>
                                        <div class="d-flex align-items-center justify-content-center px-3 py-2 mt-2">
                                            <button class="btn btn-success btn-circle mr-3 mb-2" data-toggle="modal" data-target="#editPejabat-{{item_pejabat.id}}"><span class="fa fa-edit"></span></button>

                                            <a href="#" class="btn btn-danger btn-circle mr-3 mb-2" 
                                            onclick="delete_('soft_delete', `{{ item_pejabat.namapegawai }}`, '{{ item_pejabat.id }}')"
                                            title="Arsipkan">
                                                <i class="bi bi-archive"></i>
                                            </a>
                                        </div>
                                       
                                    </td>
                                </tr>
                            {% endfor %}
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>

{% endblock main %}

{% block footer %}
    {% include 'profile/admin/pejabatpengesah/modal.html' %}
    {% include 'profile/layouts/admin/footer.html' %}
{% endblock footer %}

{% block scripts_bawah %}
    <script>
        function restore_(nama, id){
                Swal.fire({
                    title: `Apakah anda yakin ingin memulihkan file ${nama}?`,
                    showCancelButton: true,
                    confirmButtonText: 'Pulihkan',
                    cancelButtonText: 'Batal',
                    }).then((result) => {
                    if (result.isConfirmed) {
                        $.ajax({
                            url: `/pejabatpengesah/restore/${id}/`,
                            data: {},
                            dataType: "html",
                            timeout: 10000,
                            beforeSend: function() {
                                Swal.fire({
                                    title: 'Memproses.........',
                                    allowEscapeKey: false,
                                    allowOutsideClick: false,
                                    showCancelButton: false,
                                    showConfirmButton: false,
                                    onOpen: () => {
                                        swal.showLoading();
                                    }
                                });
                            },
                            success: function(response){
                                Swal.fire(`Master Pejabat Pengesah berhasil dipulihkan!`, '', 'success');
                                setTimeout(function(){
                                    window.location.href = "/pejabatpengesah/";
                                }, 2000); 
                            },
                            error: function (xhr, ajaxOptions, thrownError) {
                                Swal.fire(`Master Pejabat Pengesah gagal dipulihkan!`, '', 'error');
                            }
                        });
                        
                    }
                });
            }
            function delete_(action, nama, id){
                let pesan = action == 'soft_delete' ? "arsipkan" : "hapus";
                let confirmation = action == 'soft_delete' ? "Arsipkan" : "Hapus";
                Swal.fire({
                    title: `Apakah kamu yakin ingin meng${pesan} file ${nama}?`,
                    showCancelButton: true,
                    confirmButtonText: confirmation,
                    cancelButtonText: 'Batal',
                    }).then((result) => {
                    if (result.isConfirmed) {
                        $.ajax({
                            url: `/pejabatpengesah/${action}/${id}/`,
                            data: {},
                            dataType: "html",
                            timeout: 10000,
                            beforeSend: function() {
                                Swal.fire({
                                    title: 'Memproses.........',
                                    allowEscapeKey: false,
                                    allowOutsideClick: false,
                                    showCancelButton: false,
                                    showConfirmButton: false,
                                });
                                Swal.showLoading();
                            },
                            success: function(response){
                                Swal.fire(`Master Pejabat Pengesah berhasil di${pesan}!`, '', 'success');
                                setTimeout(function(){
                                    window.location.href = "/pejabatpengesah/";
                                }, 2000); 
                            },
                            error: function (xhr, ajaxOptions, thrownError) {
                                Swal.fire(`Master Pejabat Pengesah gagal di${pesan}!`, '', 'error');
                            }
                        });
                        
                    }
                });
            }
    </script>
{% endblock scripts_bawah %}